> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paywise.de/llms.txt
> Use this file to discover all available pages before exploring further.

# Send a test event to webhook

> Trigger a test event delivery to this webhook endpoint. Useful for testing your webhook handler.



## OpenAPI

````yaml /api-docs/legacy/case-management/openapi.json post /v1/webhooks/{id}/test/
openapi: 3.0.3
info:
  title: paywise Case Management API
  version: v1
  description: |

    Use our Case Management API to perform the debt entire collection process.

    Please refer to the [official docs][ref1] for more!

    [ref1]: https://docs.paywise.de/api-docs/case-management-api/introduction
servers:
  - url: https://api.paywise.de
    description: Production environment
security: []
externalDocs:
  url: https://docs.paywise.de/api-docs/case-management-api/
paths:
  /v1/webhooks/{id}/test/:
    post:
      tags:
        - webhooks
      summary: Send a test event to webhook
      description: >-
        Trigger a test event delivery to this webhook endpoint. Useful for
        testing your webhook handler.
      operationId: test-webhook
      parameters:
        - in: path
          name: id
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WebhookTestEventRequest'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/WebhookTestEventRequest'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/WebhookTestEventRequest'
        required: true
      responses:
        '200':
          description: Test event queued for delivery
        '400':
          description: Invalid request or webhook not enabled
      security:
        - tokenAuth: []
        - tokenAuth: []
components:
  schemas:
    WebhookTestEventRequest:
      type: object
      description: Serializer for triggering a test webhook event.
      properties:
        event_type:
          allOf:
            - $ref: '#/components/schemas/WebhookTestEventEventTypeEnum'
          description: >-
            Type of test event to send (public events only)


            * `mandate.created` - Mandate Created

            * `mandate.updated` - Mandate Updated

            * `mandate.status_updated` - Mandate Status Updated

            * `mandate.closed` - Mandate Closed

            * `mandate.balance_updated` - Mandate Balance Updated

            * `mandate.message_created` - Mandate Message Created

            * `claim.created` - Claim Created

            * `claim.updated` - Claim Updated

            * `payment.created` - Payment Reported

            * `payment.updated` - Payment Updated

            * `statement.created` - Statement Created

            * `statement.updated` - Statement Updated

            * `single_mandate_statement.created` - Single-Mandate Statement
            Created

            * `single_mandate_statement.updated` - Single-Mandate Statement
            Updated

            * `request_to_client.created` - Request to Client Created

            * `request_to_client.answered` - Request to Client Answered
      required:
        - event_type
    WebhookTestEventEventTypeEnum:
      enum:
        - mandate.created
        - mandate.updated
        - mandate.status_updated
        - mandate.closed
        - mandate.balance_updated
        - mandate.message_created
        - claim.created
        - claim.updated
        - payment.created
        - payment.updated
        - statement.created
        - statement.updated
        - single_mandate_statement.created
        - single_mandate_statement.updated
        - request_to_client.created
        - request_to_client.answered
      type: string
      description: |-
        * `mandate.created` - Mandate Created
        * `mandate.updated` - Mandate Updated
        * `mandate.status_updated` - Mandate Status Updated
        * `mandate.closed` - Mandate Closed
        * `mandate.balance_updated` - Mandate Balance Updated
        * `mandate.message_created` - Mandate Message Created
        * `claim.created` - Claim Created
        * `claim.updated` - Claim Updated
        * `payment.created` - Payment Reported
        * `payment.updated` - Payment Updated
        * `statement.created` - Statement Created
        * `statement.updated` - Statement Updated
        * `single_mandate_statement.created` - Single-Mandate Statement Created
        * `single_mandate_statement.updated` - Single-Mandate Statement Updated
        * `request_to_client.created` - Request to Client Created
        * `request_to_client.answered` - Request to Client Answered
  securitySchemes:
    tokenAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.